package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;

import java.util.Date;


public class CourseGroupExportDto {
    private String organName;
    private Integer studentId;
    private String studentName;
    private Integer teacherId;
    private String teacherIds;
    private String teacherName;
    private String eduTeacherIds;
    private String eduTeacherName;
    private Date expireDate;
    private Date classStartDate;
    private Date classEndDate;
    private Date lastClassDate;
    private Integer totalClassTimes = 0;
    private Integer noStartClassTimes = 0;
    //是否购买
    private YesOrNoEnum buyPractice;

    public YesOrNoEnum getBuyPractice() {
        return buyPractice;
    }

    public void setBuyPractice(YesOrNoEnum buyPractice) {
        this.buyPractice = buyPractice;
    }

    public Date getLastClassDate() {
        return lastClassDate;
    }

    public void setLastClassDate(Date lastClassDate) {
        this.lastClassDate = lastClassDate;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public Date getExpireDate() {
        return expireDate;
    }

    public void setExpireDate(Date expireDate) {
        this.expireDate = expireDate;
    }

    public Date getClassStartDate() {
        return classStartDate;
    }

    public void setClassStartDate(Date classStartDate) {
        this.classStartDate = classStartDate;
    }

    public Date getClassEndDate() {
        return classEndDate;
    }

    public void setClassEndDate(Date classEndDate) {
        this.classEndDate = classEndDate;
    }

    public Integer getTotalClassTimes() {
        return totalClassTimes;
    }

    public void setTotalClassTimes(Integer totalClassTimes) {
        this.totalClassTimes = totalClassTimes;
    }

    public Integer getNoStartClassTimes() {
        return noStartClassTimes;
    }

    public void setNoStartClassTimes(Integer noStartClassTimes) {
        this.noStartClassTimes = noStartClassTimes;
    }

    public String getTeacherIds() {
        return teacherIds;
    }

    public void setTeacherIds(String teacherIds) {
        this.teacherIds = teacherIds;
    }

    public String getEduTeacherIds() {
        return eduTeacherIds;
    }

    public void setEduTeacherIds(String eduTeacherIds) {
        this.eduTeacherIds = eduTeacherIds;
    }

    public String getEduTeacherName() {
        return eduTeacherName;
    }

    public void setEduTeacherName(String eduTeacherName) {
        this.eduTeacherName = eduTeacherName;
    }
}
